For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update device details

Update details for a device. Partial updates are allowed.

Setting the status to "READY_TO_LINK" will unlink it for the current device and create a new deviceLinkCode and a new identifier

Required permissions: DEVICE

put
/tenants/{tenantUid}/devices/{deviceUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
deviceUidstringRequired

Reference to a device

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
appCodestring Ā· enumOptional
EnumDescription
CLIENTFlow Retail Client
ASSISTANTFlow Retail Assistant
UNKNOWNNo specific app
Possible values:
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]*
statusstring Ā· enumOptional
EnumDescription
READY_TO_LINKThe device is ready to a physical device through the link endpoint
ACTIVEThe device is linked and active
BLOCKEDThe device is linked, but blocked for usage
Possible values:
tillUidstringOptionalPattern: ^[A-Za-z0-9-_]*
printerUidsstring[]Optional
Responses
200

Example response

application/json
createdAtstring Ā· date-timeRequired
createdBystringRequired
deviceUidstringRequiredPattern: ^[A-Za-z0-9-_]+
identifierstringRequired

A unique client identifier. This will be set when the client is linked.

lastModifiedAtstring Ā· date-timeRequired
lastModifiedBystringRequired
lastActivityAtstring Ā· date-time Ā· nullableRequired

The timestamp indicating the most recent date and time when the device registered any activity.

lastTenantUserUidstringRequired

The tenantUserUid who interacted with this device most recently

namestringRequired
systemInformationstringRequired

Contains device name, OS, release version of OS, OS build date, like a uname -a response on linux servers

statusstring Ā· enumRequired
EnumDescription
READY_TO_LINKThe device is ready to a physical device through the link endpoint
ACTIVEThe device is linked and active
BLOCKEDThe device is linked, but blocked for usage
Possible values:
deviceLinkCodestringRequired

The code that should be used to link the device to an app

lastOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]*
appCodestring Ā· enumRequired
EnumDescription
CLIENTFlow Retail Client
ASSISTANTFlow Retail Assistant
UNKNOWNNo specific app
Possible values:
appVersionstringRequired
put/tenants/{tenantUid}/devices/{deviceUid}
PUT /v2/tenants/{tenantUid}/devices/{deviceUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "name": "text",
  "appCode": "CLIENT",
  "storeUid": "text",
  "status": "ACTIVE",
  "tillUid": "text",
  "settings": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "printerUids": [
    "text"
  ]
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "deviceUid": "text",
  "identifier": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastActivityAt": "2026-01-01T00:00:00.000Z",
  "lastTenantUserUid": "text",
  "name": "text",
  "systemInformation": "text",
  "status": "ACTIVE",
  "store": {
    "name": "text",
    "storeUid": "text",
    "organizationUid": "text"
  },
  "deviceLinkCode": "text",
  "lastOrderUid": "text",
  "till": {
    "tillUid": "text",
    "name": "text",
    "tillNumber": 1
  },
  "appCode": "CLIENT",
  "appVersion": "text",
  "settings": [
    {
      "key": "text",
      "value": "text",
      "type": "STRING",
      "allowedValues": [
        "text"
      ],
      "validationRegex": "text",
      "name": "text",
      "required": true
    }
  ],
  "printers": [
    {
      "printerUid": "text",
      "name": "text",
      "type": "LABEL",
      "availablePrintActions": [
        "RECEIPT"
      ]
    }
  ]
}

Last updated

Was this helpful?